Borrador ArregloPolar

From FreeCAD Documentation
This page is a translated version of the page Draft PolarArray and the translation is 39% complete.
Outdated translations are marked like this.

Borrador ArregloPolar

Ubicación en el Menú
Modificación → Herramientas de Arreglo → Arreglo Polar
Entornos de trabajo
Borrador, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.19
Ver también
Borrador OrthoArray, Borrador ArregloCircular, Borrador ArregloRuta, Borrador ArregloEnlaceRuta, Borrador ArregloPunto, Borrador ArregloEnlacePunto

Descripción

El comando Borrador ArregloPolar crea un arreglo a partir de un objeto seleccionado colocando copias a lo largo de una circunferencia. El comando puede crear opcionalmente un arreglo Enlace, que es más eficiente que un arreglo normal.

El comando puede usarse en objetos 2D creados con el Ambiente de Trabajo Borrador o Ambiente de Trabajo Dibujo, pero también en muchos objetos 3D como los creados con el Ambiente de Trabajo Pieza, Ambiente de Trabajo DiseñoPieza o Ambiente de Trabajo Arquitectura.

Borrador ArregloPolar

Utilización

Ver también: Borrador Atrapar

  1. Opcionalmente selecciona un objeto.
  2. Hay varias formas de invocar el comando:
    • Pulsar el Borrador ArregloPolar.
    • Seleccione la opción Modificación → Herramientas de matriz → Arreglo polar en el menú.
  3. Se abre el panel de tareas Arreglo polar. Ver Opciones para más información.
  4. Si aún no ha seleccionado ningún objeto: seleccione un objeto.
  5. Introduzca los parámetros necesarios en el panel de tareas.
  6. Para terminar el comando haga una de las siguientes cosas:
    • Elija un punto en la Vista 3D para el Centro de rotación.
    • Pulsa Entre.
    • Pulsar el botón Aceptar.

Opciones

  • Enter the Polar angle to specify the total angle of the array. The angle is positive in the counter-clockwise direction.
  • Enter the Number of elements. Must be at least 2. The maximum that can be entered in the task panel is 99, but higher values are possible by changing the DatosNumber Polar property of the array.
  • Pick a point in the 3D view, note that this will also finish the command, or type coordinates for the Center of rotation. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press the Reset point button to reset the Center of rotation to the origin.
  • If the Fuse checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
  • If the Link array checkbox is checked a Link array instead of a regular array is created. A Link array is more efficient because its elements are App Link objects.
  • Press Esc or the Cancel button to abort the command.

Notas

  • The default rotation axis for the array is the positive Z axis. This can be changed by editing its DatosAxis property.
  • A Draft PolarArray can be turned into a Draft OrthoArray or a Draft CircularArray by changing its DatosArray Type property.
  • A Link array cannot be turned into a regular array or vice versa. The type of array must be decided at creation time.

Propiedades

See Draft OrthoArray.

Guión

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Parametric array

To create a parametric polar array use the make_array method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeArray method. The make_array method can create Draft OrthoArrays, Draft PolarArrays and Draft CircularArrays. For each array type one or more wrappers are available.

The main method:

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

The wrapper for polar arrays is:

array = make_polar_array(base_object,
                         number=5, angle=360, center=App.Vector(0, 0, 0),
                         use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • number is the number of elements in the pattern, including the original object.
  • angle is the angle of the polar arc in degrees.
  • center is the vector that defines the center of the pattern.
  • If use_link is True the created elements are App Links instead of regular copies.
  • array is returned with the created array object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()

Non-parametric array

To create a non-parametric polar array use the array method of the Draft module. This method returns None.

array(objectslist, center, angle, number)

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

Draft.array(tri, center, 270, 8)
doc.recompute()